summaryrefslogtreecommitdiff
path: root/tests/misc/sort-compress
diff options
context:
space:
mode:
authorJim Meyering <jim@meyering.net>2007-09-08 12:26:55 +0200
committerJim Meyering <jim@meyering.net>2007-09-15 08:40:38 +0200
commit03a08a4cd0540cd6b018c5c9f602a1d25847ba62 (patch)
tree4c26a5e5aebb07fb2c35c39d51768a628a2cefa2 /tests/misc/sort-compress
parent28f1844cefb2decc05858fdf8cc62a9ef63a9a31 (diff)
downloadcoreutils-03a08a4cd0540cd6b018c5c9f602a1d25847ba62.tar.xz
Convert tests/misc/ to use test-lib.sh, too.
Diffstat (limited to 'tests/misc/sort-compress')
-rwxr-xr-xtests/misc/sort-compress39
1 files changed, 11 insertions, 28 deletions
diff --git a/tests/misc/sort-compress b/tests/misc/sort-compress
index 568bfa762..00aae25c5 100755
--- a/tests/misc/sort-compress
+++ b/tests/misc/sort-compress
@@ -21,22 +21,11 @@ if test "$VERBOSE" = yes; then
sort --version
fi
-pwd=`pwd`
-t0=`echo "$0"|sed 's,.*/,,'`.tmp; tmp=$t0/$$
-trap 'status=$?; cd "$pwd" && chmod -R u+rwx $t0 && rm -rf $t0 && exit $status' 0
-trap '(exit $?); exit $?' 1 2 13 15
-
-framework_failure=0
-mkdir -p $tmp || framework_failure=1
-cd $tmp || framework_failure=1
-seq -w 2000 > exp || framework_failure=1
-tac exp > in || framework_failure=1
-SORT=$abs_top_builddir/src/sort
-
-if test $framework_failure = 1; then
- echo "$0: failure in testing framework" 1>&2
- (exit 1); exit 1
-fi
+. $srcdir/../test-lib.sh
+
+seq -w 2000 > exp || framework_failure
+tac exp > in || framework_failure
+SORT="$abs_top_builddir/src/sort"
# Ensure that $TMPDIR is valid.
TMPDIR=.; export TMPDIR
@@ -45,8 +34,7 @@ fail=0
# This should force the use of temp files compressed with the default gzip
sort -S 1k in > out || fail=1
-cmp exp out || fail=1
-test $fail = 1 && diff out exp 2> /dev/null
+compare exp out || fail=1
# Create our own gzip program that will be used as the default
cat <<\EOF > gzip || fail=1
@@ -59,35 +47,30 @@ chmod +x gzip
# This will find our new gzip in PATH
PATH=.:$PATH sort -S 1k --compress-program=gzip in > out || fail=1
-cmp exp out || fail=1
-test $fail = 1 && diff out exp 2> /dev/null
+compare exp out || fail=1
test -f ok || fail=1
rm -f ok
# This is to make sure it works with no compression.
PATH=.:$PATH sort -S 1k in > out || fail=1
-cmp exp out || fail=1
-test $fail = 1 && diff out exp 2> /dev/null
+compare exp out || fail=1
test -f ok && fail=1
# This is to make sure we can use something other than gzip
mv gzip dzip || fail=1
sort --compress-program=./dzip -S 1k in > out || fail=1
-cmp exp out || fail=1
-test $fail = 1 && diff out exp 2> /dev/null
+compare exp out || fail=1
test -f ok || fail=1
rm -f ok
# Make sure it can find other programs in PATH correctly
PATH=.:$PATH sort --compress-program=dzip -S 1k in > out || fail=1
-cmp exp out || fail=1
-test $fail = 1 && diff out exp 2> /dev/null
+compare exp out || fail=1
test -f ok || fail=1
rm -f dzip ok
# This is to make sure sort functions if it can't find the default gzip
PATH=. "$SORT" -S 1k in > out || fail=1
-cmp exp out || fail=1
-test $fail = 1 && diff out exp 2> /dev/null
+compare exp out || fail=1
(exit $fail); exit $fail